5.3.0-git
2014-11-21

[#9530] Failed when there is a quote in the subject
Summary Failed when there is a quote in the subject
Queue Ingo
Queue Version 1.2.5
Type Bug
State Resolved
Priority 1. Low
Owners
Requester gerard.breiner (at) ias (dot) u-psud (dot) fr
Created 2011-01-21 (1400 days ago)
Due 01/22/2011 (1399 days ago)
Updated 2013-02-01 (658 days ago)
Assigned 2011-07-01 (1239 days ago)
Resolved 2013-02-01 (658 days ago)
Milestone
Patch No

History
2013-02-01 13:11:50 Jan Schneider Comment #5
State ⇒ Resolved
Reply to this comment
The subject is escaped now:

cc "| mailbot -N -D 7 -c 'UTF-8' -t $HOME/vacation.msg -d 
$HOME/vacation -A 'From: foo@example.com' -s 'On vacation / Im '\'' 
Urlaub' /usr/sbin/sendmail -t -f 'foo@example.com'"
2011-07-01 20:22:06 Jan Schneider State ⇒ Assigned
 
2011-01-24 09:24:45 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #4 Reply to this comment

[Show Quoted Text - 18 lines]
For reminder I had reported this problem ticket 8140 about ingo 1.2.1. 
I believed it has been solved with the use of mailbot instead xfilter 
but it has not.

Thanks in advance

Best regards

Gérard

2011-01-22 22:41:33 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #3 Reply to this comment
Fails how? What happens? What fails? What are the error messages? Etc.
For instance my subject is  : I'm out of office
Afterward Ingo create the script on my mail's machine  under my home...
In this script that I included at my .mailfilter there is the command 
mailbot ...

cc "| mailbot -D 4 -c 'UTF-8' -t $HOME/vacation.msg -d $HOME/vacation 
-A 'From: surname.name@xxx.xxx.fr' -s 'I'm at office' 
/usr/sbin/sendmail -t "

What fails is the command herself because the quote in the subject...

Thanks in advance
Best regards

Gérard

2011-01-22 17:17:54 Jan Schneider Comment #2
Priority ⇒ 1. Low
State ⇒ Feedback
Reply to this comment
Fails how? What happens? What fails? What are the error messages? Etc.
2011-01-21 22:47:12 gerard (dot) breiner (at) ias (dot) u-psud (dot) fr Comment #1
State ⇒ Unconfirmed
Patch ⇒ No
Milestone ⇒
Queue ⇒ Ingo
Due ⇒ 2011-01-22
Summary ⇒ Failed when there is a quote in the subject
Type ⇒ Bug
Priority ⇒ 3. High
Reply to this comment
When there is a quote in the subject, mailbot (maildrop.php)  failed....

For instance : subject is : I'm out of office

Thanks in advance

Gerard Breiner